Name:		mdevctl
Version:	0.49
Release:	1%{?dist}
Summary:	Mediated device management and persistence utility

Group:		System Environment/Kernel
License:	LGPLv2
URL:		https://github.com/mdevctl/mdevctl
BuildArch:	noarch

Source0:	https://github.com/mdevctl/mdevctl/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires: systemd
Requires(post,postun): %{_sbindir}/udevadm
Requires: coreutils udev jq

%description
mdevctl is a utility for managing and persisting devices in the
mediated device device framework of the Linux kernel.  Mediated
devices are sub-devices of a parent device (ex. a vGPU) which
can be dynamically created and potentially used by drivers like
vfio-mdev for assignment to virtual machines.

%prep
%setup -q -n %{name}-%{version}

%install
%make_install

%files
%license COPYING
%doc README.md
%{_sbindir}/mdevctl
%{_sbindir}/lsmdev
%{_udevrulesdir}/60-mdevctl.rules
%{_unitdir}/mdev@.service
%dir %{_sysconfdir}/mdevctl.d
%{_mandir}/man8/mdevctl.8*

%changelog

* Tue Oct 01 2019 Alex Williamson <alex.williamson@redhat.com> - 0.49-1
- Fedora integration

* Fri Sep 27 2019 Alex Williamson <alex.williamson@redhat.com> - 0.48-1
- Create an lsmdev alias

* Wed Jul 17 2019 Alex Williamson <alex.williamson@redhat.com> - 0.47-1
- Update spec Source0 url

* Mon Jul 15 2019 Alex Williamson <alex.williamson@redhat.com> - 0.46-1
- Add back BuildRequires for systemd
- Allow advanced JSON output from the list command
- Fixup Makefile and spec for README.md
- Merge pull request #12 from cohuck/markdown
- README: convert to markdown
- Merge pull request #11 from cohuck/example-verbose
- fix attribute output examples
- Update man page
- Let --index be abbreviated with -i
- Split mdev types from list command
- Consistent, gratuitous quoting
- Fix man page install
- Merge pull request #10 from cohuck/manpage
- add a man page
- simplify attribute handling
- Merge pull request #7 from cohuck/json-import-export-doc
- README: update with JSON
- help text: fix typos
- Dump and import support
- Merge pull request #6 from cohuck/print_index
- print index when listing attributes
- Interpret escapes
- Attribute support
- Rework start logic, add uuidgen support and list active feature
- Note 'make rpm' support
- JSON config files
- Merge pull request #5 from cohuck/improve-comments
- Merge pull request #4 from cohuck/realpath
- tweak some comments
- use realpath for canonicalization
- mdevctl: Respin
- Merge pull request #3 from cohuck/readme-uuidgen
- README: avoid inline `uuidgen`
- Merge pull request #2 from c3d/whitespace-and-usage-cleanup
- Trailing whitespace cleanup
- Put usage message in a single large blob of text
- Merge pull request #1 from cohuck/destdir
- Makefile: drop extra '/'
- mdevctl: Move to https://github.com/mdevctl/mdevctl
- mdevctl: Don't start mdevs created with --manual
- mdevctl: Implement defaults and per mdev start option
- mdevctl: Add RPM build support
- mdevctl: Minor usage fixes
- Merge pull request #1 from cohuck/improve_cmdline
- mdevctl: improve commandline handling
- mdevctl: Initial commit
